Properties

NameTypeDefault
autoOpen Boolean true

Sets or gets whether the window will be shown after it's creation.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :autoOpen="true">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
animationType String fade

Sets or gets window's close and show animation type.

Possible Values:
'none'
'fade'
'slide'
'combined'
<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :animationType="'slide'">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
collapsed Boolean false

Determines whether the window is collapsed.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :showCollapseButton="true"
:collapsed="true">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
collapseAnimationDuration Number 150

Determines the duration in milliseconds of the expand/collapse animation.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :showCollapseButton="true"
:collapseAnimationDuration="3000">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
content String ''

Sets or gets window's content's html content.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :content="'New Content'">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
closeAnimationDuration Number 350

Sets or gets window's close animation duration.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :closeAnimationDuration="3000">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
closeButtonSize Number 16

Sets or gets window's close button size.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :closeButtonSize="20">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
closeButtonAction String hide

This setting specifies what happens when the user clicks the jqxWindow's close button.

Possible Values:
'hide'
'close'-clicking the close button removes the window from the DOM
<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :closeButtonAction="'close'">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
cancelButton Object | String null

Sets or gets cancel button. When a cancel button is specified you can use this button to interact with the user. When any user press the cacel button window is going to be closed and the dialog result will be in the following format: { OK: false, Cancel: true, None: false }.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :cancelButton="cancelButton">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
data: function () {
return {
cancelButton: '#cancel'
}
}
}
</script>
dragArea Object null

Sets or gets the screen area which is available for dragging(moving) the jqxWindow. Example value: { left: 300, top: 300, width: 600, height: 600 }. By default, the dragArea is null which means that the users will be able to drag the window in the document's body bounds.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :dragArea="dragArea">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
data: function () {
return {
dragArea: { left: 100, top: 100, width: 500, height: 400 }
}
}
}
</script>
draggable Boolean true

Sets or gets whether the window is draggable.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :draggable="false">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
disabled Boolean false

Sets or gets whether the window is disabled.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :disabled="true">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
height Number | String null

Sets or gets the window's height.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :height="220">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
initContent Function null

Initializes the jqxWindow's content.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :initContent="initContent">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
methods: {
initContent: function () {
jqwidgets.createInstance('#ok', 'jqxButton', { width: 50, height: 50 });
}
}
}
</script>
isModal Boolean false

Sets or gets whether the window is displayed as a modal dialog. If the jqxWindow's mode is set to modal, the window blocks user interaction with the underlying user interface.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :isModal="true">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
keyboardCloseKey Number 'esc'

Sets or gets the key which could be used for closing the window when it's on focus. Possible value is every keycode and the 'esc' strig (for the escape key).

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :keyboardCloseKey="32">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
keyboardNavigation Boolean true

Determines whether the keyboard navigation is enabled or disabled.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :keyboardNavigation="false">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
minHeight Number 50

Sets or gets window's minimum height.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :minHeight="150">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
maxHeight Number 600

Sets or gets window's maximum height.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :maxHeight="250">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
minWidth Number 50

Sets or gets window's minimum width.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :minWidth="200">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
maxWidth Number 600

Sets or gets window's maximum width.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :maxWidth="350">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
modalOpacity Number | String 0.3

Sets or gets the jqxWindow's background displayed over the underlying user interface when the window is in modal dialog mode.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :isModal="true" :modalOpacity="0.3">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
modalZIndex Number 18000

Sets or gets the jqxWindow's z-index when it is displayed as a modal dialog.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :isModal="true" :modalZIndex="9999">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
modalBackgroundZIndex Number 12990

Sets or gets the jqxWindow overlay's z-index when it is displayed as a modal dialog.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :isModal="true" :modalBackgroundZIndex="9999">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
okButton String | Object null

Sets or gets submit button. When a ok/submit button is specified you can use this button to interact with the user. When any user press the submit button window is going to be closed and the dialog result will be in the following format: { OK: true, Cancel: false, None: false }.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :okButton="okButton">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
data: function () {
return {
okButton: '#ok'
}
}
}
</script>
position String | Object center

Sets or gets window's position. The value could be in the following formats: 'center', 'top, left', '{ x: 300, y: 500 }', '[300, 500]'.

<template>
<JqxWindow ref="myWindow"
:width="300" :position="position">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
data: function () {
return {
position: 'top,left'
}
}
}
</script>
rtl Boolean false

Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :rtl="true">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
resizable Boolean true

Enables or disables whether the end-user can resize the window.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :resizable="false">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
showAnimationDuration Number 350

Sets or gets window's show animation duration.

<template>
<JqxWindow ref="myWindow"
:width="300" :autoOpen="false" :position='{ x: 100, y: 100}' :showAnimationDuration="3000">
<div>RISC</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.open();
}
}
</script>
showCloseButton Boolean true

Sets or gets whether a close button will be visible.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :showCloseButton="false">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
showCollapseButton Boolean false

Sets or gets whether the collapse button will be visible.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :showCollapseButton="true">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
theme String ''

Sets the widget's theme.

  • Include the theme's CSS file after jqx.base.css.
    The following code example adds the 'material' theme.
    
    
    <link rel="stylesheet" href="../../jqwidgets/styles/jqx.base.css" type="text/css" />
    <link rel="stylesheet" href="../../jqwidgets/styles/jqx.material.css" type="text/css" />
    
  • Set the widget's theme property to 'material' when you initialize it.
<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :theme="'material'">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
title String ''

Sets or gets window's title content.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :title="'Title'">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
width Number | String null

Sets or gets the window's width.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>
zIndex Number 9001

Sets or gets the jqxWindow z-index.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :zIndex="9999">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
}
}
</script>

Events

close Event

This event is triggered when the window is closed.

Code examples

Bind to the close event of jqxWindow.

<template>
<JqxWindow ref="myWindow" @close="onClose($event)"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
methods: {
onClose: function (event) {
alert('do something...');
}
}
}
</script>

collapse Event

This event is triggered when the window is collapsed.

Code examples

Bind to the collapse event of jqxWindow.

<template>
<JqxWindow ref="myWindow" @collapse="onCollapse($event)"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.showCollapseButton = true;
},
methods: {
onCollapse: function (event) {
alert('do something...');
}
}
}
</script>

expand Event

This event is triggered when the window is expanded.

Code examples

Bind to the expand event of jqxWindow.

<template>
<JqxWindow ref="myWindow" @expand="onExpand($event)"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.showCollapseButton = true;
},
methods: {
onExpand: function (event) {
alert('do something...');
}
}
}
</script>

moving Event

This event is triggered when the window is dragging by the user.

Code examples

Bind to the moving event of jqxWindow.

<template>
<JqxWindow ref="myWindow" @moving="onMoving($event)"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
methods: {
onMoving: function (event) {
alert('do something...');
}
}
}
</script>

moved Event

This event is triggered when the window is dropped by the user.

Code examples

Bind to the moved event of jqxWindow.

<template>
<JqxWindow ref="myWindow" @moved="onMoved($event)"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
methods: {
onMoved: function (event) {
alert('do something...');
}
}
}
</script>

open Event

This event is triggered when the window is displayed.

Code examples

Bind to the open event of jqxWindow.

<template>
<div>
<JqxWindow ref="myWindow" @open="onOpen($event)"
:width="300" :position='{ x: 100, y: 100}' :autoOpen="false">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
<JqxButton style="width:100px" @click="openWindow()">Open</JqxButton>
</div>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
export default {
components: {
JqxWindow,
JqxButton
},
methods: {
onOpen: function (event) {
alert('do something...');
},
openWindow: function () {
this.$refs.myWindow.open();
}
}
}
</script>

resizing Event

This event is triggered when the end-user is resizing the window.

Code examples

Bind to the resizing event of jqxWindow.

<template>
<JqxWindow ref="myWindow" @resizing="onResizing($event)"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
methods: {
onResizing: function (event) {
alert('do something...');
}
}
}
</script>

resized Event

This event is triggered when the end-user has resized the window.

Code examples

Bind to the resized event of jqxWindow.

<template>
<JqxWindow ref="myWindow" @resized="onResized($event)"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
methods: {
onResized: function (event) {
alert('do something...');
}
}
}
</script>

Methods

NameArgumentsReturn Type
bringToFront None None

Bringing the window to the front.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.bringToFront();
}
}
</script>
close None None

Hiding/closing the current window (the action - hide or close depends on the closeButtonAction).

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.close();
}
}
</script>
collapse None None

Collapse the current window.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.collapse();
}
}
</script>
closeAll None None

Closing all open windows which are not modal.

<template>
<div>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>Header</div>
<div>Content </div>
</JqxWindow>
<JqxWindow ref="myWindow2"
:width="300" :position='{ x: 100, y: 200}'>
<div>Header</div>
<div>Content</div>
</JqxWindow>
<jqxButton style="width:100px" @click="closeAll()">Close All</jqxButton>
</div>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue';
export default {
components: {
JqxWindow,
JqxButton
},
methods: {
closeAll: function (event) {
this.$refs.myWindow.closeAll();
}
}
}
</script>
disable None None

Disabling the window.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.disable();
}
}
</script>
destroy None None

Destroys the widget.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.destroy();
}
}
</script>
enable None None

Enabling the window

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.disabled = true;
this.$refs.myWindow.enable();
}
}
</script>
expand None None

Expand the current window.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.collapsed = true;
this.$refs.myWindow.expand();
}
}
</script>
focus None None

Focuses the window.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.focus();
}
}
</script>
isOpen None Boolean

Returns true when jqxWindow is opened and false when the jqxWindow is closed

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
const value = this.$refs.myWindow.isOpen();
}
}
</script>
move top, left None

Moving the current window.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.move(300,600);
}
}
</script>
open None None

Opening/showing the current window.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}' :autoOpen="false">
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.open();
}
}
</script>
hide None None

Hiding the current window.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.hide();
}
}
</script>
resize top, left None

Resizes the window. The 'resizable' property is expected to be set to "true".

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.resize(300,300);
}
}
</script>
setTitle title None

Setting window's title

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.setTitle('New Title');
}
}
</script>
setContent content None

Setting window's content.

<template>
<JqxWindow ref="myWindow"
:width="300" :position='{ x: 100, y: 100}'>
<div>
RISC
</div>
<div>
Some aspects attributed to the first RISC-labeled designs around 1975 include the
observations that the memory-restricted compilers of the time were often unable
to take advantage of features intended to facilitate manual assembly coding, and
that complex addressing modes take many cycles to perform due to the required additional
memory accesses...
<p>
<input type='button' id='ok' value='OK' />
<input type='button' id='cancel' value='Cancel' />
</p>
</div>
</JqxWindow>
</template>
<script>
import JqxWindow from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxwindow.vue';
export default {
components: {
JqxWindow
},
mounted: function () {
this.$refs.myWindow.setContent('New Content');
}
}
</script>

Name | Type | Default |
autoOpen
|
Boolean
|
true
|
Sets or gets the autoOpen property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [autoOpen]="false"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
animationType
|
enum:WindowAnimationType
|
fade
|
enum WindowAnimationType { none, fade, slide, combined } Sets or gets the animationType property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [animationType]="'slide'"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
collapsed
|
Boolean
|
false
|
Sets or gets the collapsed property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [collapsed]="true"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
collapseAnimationDuration
|
Number
|
150
|
Sets or gets the collapseAnimationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [collapseAnimationDuration]="3000"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
content
|
String
|
''
|
Sets or gets the content property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [content]="'New Content'"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
closeAnimationDuration
|
Number
|
350
|
Sets or gets the closeAnimationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [closeAnimationDuration]="3000"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
closeButtonSize
|
Number
|
16
|
Sets or gets the closeButtonSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [closeButtonSize]="20"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
closeButtonAction
|
enum:WindowCloseButtonAction
|
hide
|
enum WindowCloseButtonAction { hide, close } Sets or gets the closeButtonAction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [closeButtonAction]="'close'"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
cancelButton
|
Any
|
null
|
Sets or gets the cancelButton property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [cancelButton]="cancelButton"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
dragArea
|
WindowDragArea
|
null
|
interface WindowDragArea { left: Number; top: Number; width: Number | String; height: Number | String; } Sets or gets the dragArea property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [dragArea]="dragArea"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
draggable
|
Boolean
|
true
|
Sets or gets the draggable property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [draggable]="false"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [disabled]="true"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
initContent
|
() => Void
|
null
|
Sets or gets the initContent property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [initContent]="initContent"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
isModal
|
Boolean
|
false
|
Sets or gets the isModal property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [isModal]="true"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
keyboardCloseKey
|
String | Number
|
'esc'
|
Sets or gets the keyboardCloseKey property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [keyboardCloseKey]="32"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
keyboardNavigation
|
Boolean
|
true
|
Sets or gets the keyboardNavigation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [keyboardNavigation]="false"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
minHeight
|
String | Number
|
50
|
Sets or gets the minHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
maxHeight
|
String | Number
|
600
|
Sets or gets the maxHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
minWidth
|
String | Number
|
50
|
Sets or gets the minWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [minWidth]="100"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
maxWidth
|
String | Number
|
600
|
Sets or gets the maxWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [maxWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
modalOpacity
|
Number
|
0.3
|
Sets or gets the modalOpacity property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [modalOpacity]="0.5"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
modalZIndex
|
Number
|
18000
|
Sets or gets the modalZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [modalZIndex]="9999"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
modalBackgroundZIndex
|
Number
|
12990
|
Sets or gets the modalBackgroundZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [modalBackgroundZIndex]="9999"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
okButton
|
Any
|
null
|
Sets or gets the okButton property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [okButton]="okButton"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
position
|
String | Any
|
center
|
Sets or gets the position property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [position]="top,left"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [rtl]="true"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
resizable
|
Boolean
|
true
|
Sets or gets the resizable property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [resizable]="false"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
showAnimationDuration
|
Number
|
350
|
Sets or gets the showAnimationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [showAnimationDuration]="3000"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
showCloseButton
|
Boolean
|
true
|
Sets or gets the showCloseButton property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [showCloseButton]="false"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
showCollapseButton
|
Boolean
|
false
|
Sets or gets the showCollapseButton property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [showCollapseButton]="true"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [theme]="'energyblue'"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
title
|
String
|
''
|
Sets or gets the title property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [title]="'Title'"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
zIndex
|
Number
|
9001
|
Sets or gets the zIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300" [zIndex]="9999"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
|
close
|
Event
|
|
This event is triggered when the window is closed.
Code examples
Bind to the close event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onClose)="Close($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
collapse
|
Event
|
|
This event is triggered when the window is collapsed.
Code examples
Bind to the collapse event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onCollapse)="Collapse($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent { Collapse(event: any): void
|
created
|
Event
|
|
This event is triggered when the user create new window.
Code examples
Bind to the created event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onCreated)="Created($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent { Created(event: any): void
|
expand
|
Event
|
|
This event is triggered when the window is expanded.
Code examples
Bind to the expand event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onExpand)="Expand($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
moving
|
Event
|
|
This event is triggered when the window is dragging by the user.
Code examples
Bind to the moving event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onMoving)="Moving($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
moved
|
Event
|
|
This event is triggered when the window is dropped by the user.
Code examples
Bind to the moved event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onMoved)="Moved($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
open
|
Event
|
|
This event is triggered when the window is displayed.
Code examples
Bind to the open event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onOpen)="Open($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent {
|
resizing
|
Event
|
|
This event is triggered when the end-user is resizing the window.
Code examples
Bind to the resizing event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onResizing)="Resizing($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent { Resizing(event: any): void
|
resized
|
Event
|
|
This event is triggered when the end-user has resized the window.
Code examples
Bind to the resized event of jqxWindow.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow(onResized)="Resized($event)" [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent { Resized(event: any): void
|
|
Name | Return Type | Arguments |
bringToFront
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent; ngAfterViewInit(): void { this.myWindow.bringToFront();
|
close
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
collapse
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent; ngAfterViewInit(): void { this.myWindow.collapse();
|
closeAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent; ngAfterViewInit(): void { this.myWindow.closeAll();
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
expand
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
isOpen
|
Boolean
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent; ngAfterViewInit(): void { let value = this.myWindow.isOpen();
|
move
|
Void
|
top: Number, left: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
hide
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
resize
|
Void
|
top: Number, left: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent;
|
setTitle
|
Void
|
title: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent; ngAfterViewInit(): void { this.myWindow.setTitle();
|
setContent
|
Void
|
content: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxWindow #myWindow [width]="500" [height]="400" [minHeight]="300" [minWidth]="300"> <div>About 30 St Mary Axe</div> <div> <h3>30 St Mary Axe </h3> <p>The Swiss Re Building (colloquially referred to as the Gherkin)... </p> <p>The building is on the former site of the Baltic Exchange building.... </p> </div> </jqxWindow> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myWindow') myWindow: jqxWindowComponent; ngAfterViewInit(): void { this.myWindow.setContent();
|

Name | Type | Default |
autoOpen
|
boolean
|
true
|
Sets or gets whether the window will be shown after it's creation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} autoOpen={true}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationType
|
WindowAnimationType
|
fade
|
WindowAnimationType: "none" | "fade" | "slide" | "combined"
Sets or gets window's close and show animation type.
Possible Values:
'none'
'fade'
'slide'
'combined'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} animationType={ 'slide'}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapsed
|
boolean
|
false
|
Determines whether the window is collapsed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} showCollapseButton={true} collapsed={true}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapseAnimationDuration
|
number
|
150
|
Determines the duration in milliseconds of the expand/collapse animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} showCollapseButton={true} collapseAnimationDuration={3000}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
content
|
string
|
''
|
Sets or gets window's content's html content.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} content={ 'New Content'}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeAnimationDuration
|
number
|
350
|
Sets or gets window's close animation duration.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} closeAnimationDuration={3000}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeButtonSize
|
number
|
16
|
Sets or gets window's close button size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} closeButtonSize={20}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeButtonAction
|
WindowCloseButtonAction
|
hide
|
WindowCloseButtonAction: "hide" | "close"
This setting specifies what happens when the user clicks the jqxWindow's close button.
Possible Values:
'hide'
'close'-clicking the close button removes the window from the DOM
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} closeButtonAction={ 'close'}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
cancelButton
|
any
|
null
|
Sets or gets cancel button. When a cancel button is specified you can use this button to interact with the user. When any user press the cacel button window is going to be closed and the dialog result will be in the following format: { OK: false, Cancel: true, None: false }.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} cancelButton={this.state.cancelButton}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragArea
|
WindowDragArea
|
null
|
Interface WindowDragArea { left?: number; top?: number; width?: number | string; height?: number | string; }
Sets or gets the screen area which is available for dragging(moving) the jqxWindow. Example value: { left: 300, top: 300, width: 600, height: 600 }. By default, the dragArea is null which means that the users will be able to drag the window in the document's body bounds.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} dragArea={this.state.dragArea}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
draggable
|
boolean
|
true
|
Sets or gets whether the window is draggable.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} draggable={false}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the window is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} disabled={true}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the window's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} height={220}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
initContent
|
() => void
|
null
|
Initializes the jqxWindow's content.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} initContent={this.state.initContent}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
isModal
|
boolean
|
false
|
Sets or gets whether the window is displayed as a modal dialog. If the jqxWindow's mode is set to modal, the window blocks user interaction with the underlying user interface.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} isModal={true}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
keyboardCloseKey
|
number | string
|
'esc'
|
Sets or gets the key which could be used for closing the window when it's on focus. Possible value is every keycode and the 'esc' strig (for the escape key).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} keyboardCloseKey={32}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
keyboardNavigation
|
boolean
|
true
|
Determines whether the keyboard navigation is enabled or disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} keyboardNavigation={false}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minHeight
|
string | number
|
50
|
Sets or gets window's minimum height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} minHeight={150}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
maxHeight
|
string | number
|
600
|
Sets or gets window's maximum height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} maxHeight={250}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minWidth
|
number | string
|
50
|
Sets or gets window's minimum width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} minWidth={200}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
maxWidth
|
number | string
|
600
|
Sets or gets window's maximum width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} maxWidth={350}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
modalOpacity
|
number | string
|
0.3
|
Sets or gets the jqxWindow's background displayed over the underlying user interface when the window is in modal dialog mode.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} isModal={true} modalOpacity={0.3}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
modalZIndex
|
number
|
18000
|
Sets or gets the jqxWindow's z-index when it is displayed as a modal dialog.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} isModal={true} modalZIndex={9999}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
modalBackgroundZIndex
|
number
|
12990
|
Sets or gets the jqxWindow overlay's z-index when it is displayed as a modal dialog.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} isModal={true} modalBackgroundZIndex={9999}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
okButton
|
any
|
null
|
Sets or gets submit button. When a ok/submit button is specified you can use this button to interact with the user. When any user press the submit button window is going to be closed and the dialog result will be in the following format: { OK: true, Cancel: false, None: false }.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} okButton={this.state.okButton}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
position
|
string | any
|
center
|
Sets or gets window's position. The value could be in the following formats: 'center', 'top, left', '{ x: 300, y: 500 }', '[300, 500]'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={this.state.position}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} rtl={true}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resizable
|
boolean
|
true
|
Enables or disables whether the end-user can resize the window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} resizable={false}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showAnimationDuration
|
number
|
350
|
Sets or gets window's show animation duration.
|
showCloseButton
|
boolean
|
true
|
Sets or gets whether a close button will be visible.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} showCloseButton={false}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showCollapseButton
|
boolean
|
false
|
Sets or gets whether the collapse button will be visible.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} showCollapseButton={true}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} theme={ 'material'}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
title
|
string
|
''
|
Sets or gets window's title content.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} title={ 'Title'}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the window's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
zIndex
|
number
|
9001
|
Sets or gets the jqxWindow z-index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}} zIndex={9999}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
close
|
Event
|
|
This event is triggered when the window is closed.
Code examples
Bind to the close event of jqxWindow.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} onClose={this.onClose} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapse
|
Event
|
|
This event is triggered when the window is collapsed.
Code examples
Bind to the collapse event of jqxWindow.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.setOptions({ showCollapseButton: true }); } public render() { return ( <JqxWindow ref={this.myWindow} onCollapse={this.onCollapse} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } private onCollapse(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expand
|
Event
|
|
This event is triggered when the window is expanded.
Code examples
Bind to the expand event of jqxWindow.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.setOptions({ showCollapseButton: true }); } public render() { return ( <JqxWindow ref={this.myWindow} onExpand={this.onExpand} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } private onExpand(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
moving
|
Event
|
|
This event is triggered when the window is dragging by the user.
Code examples
Bind to the moving event of jqxWindow.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} onMoving={this.onMoving} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } private onMoving(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
moved
|
Event
|
|
This event is triggered when the window is dropped by the user.
Code examples
Bind to the moved event of jqxWindow.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} onMoved={this.onMoved} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } private onMoved(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the window is displayed.
Code examples
Bind to the open event of jqxWindow.
|
resizing
|
Event
|
|
This event is triggered when the end-user is resizing the window.
Code examples
Bind to the resizing event of jqxWindow.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} onResizing={this.onResizing} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } private onResizing(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resized
|
Event
|
|
This event is triggered when the end-user has resized the window.
Code examples
Bind to the resized event of jqxWindow.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public render() { return ( <JqxWindow ref={this.myWindow} onResized={this.onResized} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } private onResized(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
bringToFront
|
None
|
|
Bringing the window to the front.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.bringToFront(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
close
|
None
|
|
Hiding/closing the current window (the action - hide or close depends on the closeButtonAction).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.close(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapse
|
None
|
|
Collapse the current window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.collapse(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeAll
|
None
|
|
Closing all open windows which are not modal.
|
disable
|
None
|
|
Disabling the window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.disable(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.destroy(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
Enabling the window
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.enable(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expand
|
None
|
|
Expand the current window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.expand(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.focus(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
isOpen
|
None
|
|
Returns true when jqxWindow is opened and false when the jqxWindow is closed
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.isOpen(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
move
|
top, left
|
|
Moving the current window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.move(300,600); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
None
|
|
Opening/showing the current window.
|
hide
|
None
|
|
Hiding the current window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.hide(); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
resize
|
top, left
|
|
Resizes the window. The 'resizable' property is expected to be set to "true".
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.resize(300,300); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setTitle
|
title
|
|
Setting window's title
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.setTitle( 'New Title'); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setContent
|
content
|
|
Setting window's content.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxWindow, { IWindowProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxwindow'; class App extends React.PureComponent<{}, IWindowProps> { private myWindow = React.createRef<JqxWindow>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myWindow.current!.setContent( 'New Content'); } public render() { return ( <JqxWindow ref={this.myWindow} width={300} position={{ x: 100, y: 100}}> <div> RISC </div> <div> Some aspects attributed to the first RISC-labeled designs around 1975 include the observations that the memory-restricted compilers of the time were often unable to take advantage of features intended to facilitate manual assembly coding, and that complex addressing modes take many cycles to perform due to the required additional memory accesses... <p> <input type='button' id='ok' value='OK' /> <input type='button' id='cancel' value='Cancel' /> </p> </div> </JqxWindow> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|